#include <stdio.h>

void write_int(int n) {
  printf("%d", n);
  return;
}

int fibonacci(int n) {
  if (n == 0)
    return 0;
  else
  if (n == 1)
    return 1;
  else
    return fibonacci(n - 1) + fibonacci(n - 2);
}

int main() {
  write_int(fibonacci(24));
  printf("\n");
  return 0;
}
